Package io.dapr.client.domain

# Class ConfigurationItem

java.lang.Object
io.dapr.client.domain.ConfigurationItem

public class ConfigurationItem extends Object
A configuration item from Dapr's configuration store.

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationItem(String key, String value, String version)`
Constructor for a configuration Item.
`ConfigurationItem(String key, String value, String version, Map<String,String> metadata)`
Constructor for a configuration Item.

## Method Summary

Modifier and Type
Method
Description
`String`
`getKey()`
`Map<String,String>`
`getMetadata()`
`String`
`getValue()`
`String`
`getVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigurationItem

public ConfigurationItem(String key, String value, String version, Map<String,String> metadata)
Constructor for a configuration Item.

Parameters:
  `key` - key of the configuration item
  `value` - value for the provided key
  `version` - version of the configuration item
  `metadata` - additional information

### ConfigurationItem

public ConfigurationItem(String key, String value, String version)
Constructor for a configuration Item.

Parameters:
  `key` - key of the configuration item
  `value` - value for the provided key
  `version` - version of the configuration item

## Method Details

### getKey

public String getKey()

### getValue

public String getValue()

### getVersion

public String getVersion()

### getMetadata

public Map<String,String> getMetadata()